#
# git clone https://git.jami.net/savoirfairelinux/ring-client-gnome.git
# cd ring-client-gnome
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o ../ring-client-gnome-${DATE}.tar.xz --prefix=ring-client-gnome-${DATE}/ master
#

%global gdate	20210122
%global rel	1

Name:		jami-client-gnome
Summary:	Jami client written in GTK+3
Version:	1.0.0
Release:	%mkrel %{?gdate:13.git%gdate.}%{rel}
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://git.jami.net/savoirfairelinux/ring-client-gnome
%if 0
Source0:	https://github.com/savoirfairelinux/ring-client-gnome/archive/%{version}/%{name}-%{version}.tar.xz
%endif
Source0:	ring-client-gnome-%{gdate}.tar.xz
Patch1:		ring-client-gnome-fix-install.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gettext
BuildRequires:	jami-lrc-devel >= 1.0.0-4.git20210107
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)

BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(webkit2gtk-4.0)

Requires:	jami-daemon

Provides:	jami-gnome = %{version}-%{release}

Obsoletes:	ring-client-gnome < 1.0.0-13
Provides:	ring-client-gnome = %{version}-%{release}

%description
Jami-client-gnome is a Jami client written in GTK+3. It uses libRingClient to
communicate with the Jami daemon and for all of the underlying models and their
logic.

%prep
%setup -qn ring-client-gnome-%{gdate}
%autopatch -p1

# Missing from source tarball
rm -rf web
ln -sf %{_includedir}/libringclient/web-chatview web

%build
%cmake_qt5 -DGSETTINGS_COMPILE:BOOL=OFF
%cmake_build

%install
%cmake_install

# man page
install -Dpm644 doc/jami-gnome.1 %{buildroot}%{_mandir}/man1/jami-gnome.1

# compat symlinks
ln -s jami %{buildroot}%{_bindir}/gnome-ring
ln -s jami %{buildroot}%{_bindir}/ring.cx

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%{_bindir}/gnome-ring
%{_bindir}/jami
%{_bindir}/jami-gnome
%{_bindir}/ring.cx
%{_metainfodir}/jami-gnome.appdata.xml
%{_datadir}/applications/jami-gnome.desktop
%{_datadir}/glib-2.0/schemas/net.jami.Jami.gschema.xml
%{_datadir}/jami-gnome/
%{_datadir}/sounds/jami-gnome/
%{_iconsdir}/hicolor/scalable/apps/jami.svg
%{_mandir}/man1/jami-gnome.1*


%changelog
* Sun Jan 24 2021 wally <wally> 1.0.0-13.git20210122.1.mga8
+ Revision: 1673215
- new git snapshot 20210122

* Sat Jan 09 2021 wally <wally> 1.0.0-13.git20210107.1.mga8
+ Revision: 1670014
- new git snapshot 20210107

* Sun Dec 27 2020 wally <wally> 1.0.0-13.git20201224.2.mga8
+ Revision: 1664233
- fix ring-client-gnome obsoletes
- drop unneeded source tarballs and use files from jami-lrc

* Fri Dec 25 2020 wally <wally> 1.0.0-13.git20201224.1.mga8
+ Revision: 1663568
- rename as ring-client-gnome
- update to latest git snapshot

* Thu Dec 17 2020 umeabot <umeabot> 1.0.0-12.mga8
+ Revision: 1659753
- Rebuild for new Qt5

* Tue Aug 04 2020 wally <wally> 1.0.0-11.mga8
+ Revision: 1610948
- build with Ayatana AppIndicator

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1528367
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 19 2019 daviddavid <daviddavid> 1.0.0-9.mga8
+ Revision: 1430317
- adjust BR for new NM

* Mon Apr 01 2019 umeabot <umeabot> 1.0.0-8.mga7
+ Revision: 1384703
- Qt5 Rebuild

* Mon Feb 04 2019 daviddavid <daviddavid> 1.0.0-7.mga7
+ Revision: 1363158
- update to latest git snapshot 20190128

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-6.mga7
+ Revision: 1300830
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 daviddavid <daviddavid> 1.0.0-5.mga7
+ Revision: 1203215
- rebuild for new evolution-data-server

* Mon Oct 09 2017 daviddavid <daviddavid> 1.0.0-3.mga7
+ Revision: 1170412
- rebuild for new qrencode 4.0.0
- rebuild for new evolution-data-server 3.26.0

* Mon Jan 02 2017 daviddavid <daviddavid> 1.0.0-2.mga6
+ Revision: 1079719
- requires ring-daemon

* Mon Jan 02 2017 daviddavid <daviddavid> 1.0.0-1.mga6
+ Revision: 1079711
- initial package ring-client-gnome

